@echo off
pushd "%CD%"
CD /D "%~dp0"
set GSDLLANG=en
set extdesc="the Digital Music Stand Extension"

if "%OS%" == "Windows_NT" goto WinNT
if "%OS%" == "" goto Win95
if "%GSDLLANG%" == "en" echo Setup failed - your PATH has not been set
if "%GSDLLANG%" == "es" echo No se pudo realizar la configuracin - no se ha establecido la RUTA.
if "%GSDLLANG%" == "fr" echo Echc de l'installation - votre variable PATH n'a pas t ajuste
if "%GSDLLANG%" == "ru" echo ⠭  㤠 -    ⠭
goto End

:WinNT
set GEXTMUSICSTAND=%CD%
set GEXTMUSICSTAND_INSTALLED=%GEXTMUSICSTAND%\windows

set PATH=%GEXTMUSICSTAND_INSTALLED%\bin;%PATH%
set GS_CP_SET=yes
goto Success

:Win95
if "%1" == "SetEnv" goto Win95Env
REM We'll invoke a second copy of the command processor to make
REM sure there's enough environment space
COMMAND /E:2048 /K %0 SetEnv
goto End

:Win95Env
set GEXTMUSICSTAND=%CD%
set PATH="%GEXTMUSICSTAND_INSTALLED%\bin";"%PATH%"
set GS_CP_SET=yes
goto Success

:Success

if "x%GSDLEXTS%" == "x" (
  set GSDLEXTS=music-stand
) else (
  set GSDLEXTS=%GSDLEXTS%:music-stand
)

echo +Your environment is now setup for %extdesc%

:End

popd